<html lang="en">
<head>
<title>Polyline sweeps - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Swept-objects.html#Swept-objects" title="Swept objects">
<link rel="prev" href="Point-sweeps.html#Point-sweeps" title="Point sweeps">
<link rel="next" href="Nested-sweeps.html#Nested-sweeps" title="Nested sweeps">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Polyline-sweeps"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Point-sweeps.html#Point-sweeps">Point sweeps</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Swept-objects.html#Swept-objects">Swept objects</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">2.7.2 Polyline sweeps</h4>

<p>Sweeping a polyline produces a
<a name="index-line-sweep-105"></a><a name="index-swept-line-106"></a><a name="index-surface-107"></a>surface composed of many faces. 
<a name="index-faces-108"></a>The unbroken helix in the
example <a href="Helix-with-cull-set-false-then-true.html#Helix-with-cull-set-false-then-true">Helix with cull set false then true</a> is produced by this
code (plus a surrounding <tt>put</tt> rotation to make an interesting
view; this has been omitted). 
<a name="index-def-109"></a><a name="index-sweep-110"></a><a name="index-rotate-111"></a><a name="index-translate-112"></a><a name="index-cull-113"></a><a name="index-linewidth-114"></a>
<pre class="verbatim">
  def K [0,0,1]
  sweep[cull=false] {
    60, 
    rotate(10, (0,0,0), [K]) then translate(1/6 * [K]) 
  } line[linewidth=2pt](-1,0)(1,0)
</pre>
Again, 60 segments of the helix
<a name="index-helix-115"></a>are produced by connecting 61
instances of the swept line.  Options
<a name="index-options_002c-sweep-116"></a>applied to the sweep, here
<tt>cull=false</tt>, are treated as options for the generated polygon
or polyline.  Options of the swept line itself, here
<tt>linewidth=2pt</tt>, are ignored, though with a warning. This
<tt>def</tt> is a <dfn>vector</dfn> definition,
<a name="index-definition_002c-vector-117"></a><a name="index-vector-definition-118"></a>which must be referenced
with square brackets, e.g. <tt>[foo]</tt>. 
<a name="index-reference_002c-vector-119"></a><a name="index-_005bfoo_005d_0040r_007b_002c-vector-reference_007d-120"></a>

   </body></html>

